//
//  LibraryListView.swift
//  DocHub
//
//  Created by Tristan Juricek on 6/16/14.
//  Copyright (c) 2014 Perforce. All rights reserved.
//

import AppKit
import Foundation

// A Source List view that operates as the primary navigation.
//
// Initially, this will only each library as a section. Eventually, there will
// be more, special "library sections", like "local changes" and "local projects".
// In effect, this is the amalgamation of local and remote references to things,
// all in one area.
//
// This attempts to copy a lot of the "Source List" values used by Interface
// Builder's Source List, but directly specializes the NSOutlineView.
class LibraryListView : NSOutlineView {
    
    init(frame frameRect: NSRect) {
        super.init(frame:frameRect)
    }
    
//    override func drawRect(dirtyRect: NSRect) {
//        backgroundColor.set()
//        NSBezierPath.fillRect(self.frame)
//    }
}